LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMutableTreeDataModel Interface Reference

This is the editable version of the XTreeDataModel. More...

`import"XMutableTreeDataModel.idl";`

Inheritance diagram for XMutableTreeDataModel:

## Public Member Functions
XMutableTreeNode | createNode ([in] any DisplayValue, [in] boolean ChildrenOnDemand)
| creates a new tree node with the given value and given settings. More...
void | setRoot ([in] XMutableTreeNode RootNode) raises ( ::com::sun::star::lang::IllegalArgumentException )
| changes the root node of this model to RootNode. More...
Public Member Functions inherited from XTreeDataModel
XTreeNode | getRoot ()
| Returns the root of the tree. More...
void | addTreeDataModelListener ([in] XTreeDataModelListener Listener)
| Adds a listener for the TreeDataModelEvent posted after the tree changes. More...
void | removeTreeDataModelListener ([in] XTreeDataModelListener Listener)
| Removes a listener previously added with addTreeDataModelListener(). More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This is the editable version of the XTreeDataModel.

Note that only XTreeNode created from the same instance with createNode() are valid nodes for this instance.

## Member Function Documentation

## ◆ createNode()

XMutableTreeNode createNode | ( | [in] any | DisplayValue,
|  | [in] boolean | ChildrenOnDemand
| ) |  |

creates a new tree node with the given value and given settings.

Parameters

  DisplayValue | should be convertible to a string and is used by the XTreeControl as a textual representation of the created node.
  ChildrenOnDemand | if `TRUE` is used as a parameter, the created node will be treated as a non-leaf node by the XTreeControl, even when it has no child nodes.

Returns
  a new XMutableTreeNode that can be used for this model.

See also
  XTreeNode::getDisplayValue()
  XTreeNode::hasChildrenOnDemand()

## ◆ setRoot()

void setRoot | ( | [in] XMutableTreeNode | RootNode | ) |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

changes the root node of this model to RootNode.

Parameters

  RootNode | the XMutableTreeNode that becomes the new root node of this model.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if RootNode is not a valid node of this XTreeDataModel.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/tree/XMutableTreeDataModel.idl